%global debug_package %{nil}

Name:           tcping
Version:        2.7.1
Release:        1%{?dist}
Summary:        Ping TCP ports using tcping. Inspired by Linux's ping utility. Written in Go.
License:        MIT
URL:            https://github.com/pouriyajamshidi/tcping
Packager:       Teddysun <i@teddysun.com>

Source0:        https://github.com/pouriyajamshidi/tcping/archive/refs/tags/v%{version}.tar.gz#/tcping-%{version}.tar.gz

%description
A cross-platform ping program for TCP ports inspired by the Linux's ping utility.
This program will send TCP probes to an IP address or a hostname specified by you and prints the results.
It supports both IPv4 and IPv6.


%prep
%setup -q -n %{name}-%{version}

%build
# https://pagure.io/go-rpm-macros/c/1cc7f5d9026175bb6cb1b8c889355d0c4fc0e40a
%undefine _auto_set_build_flags

LDFLAGS="-X main.version=v%{version} -s -w -buildid="
env CGO_ENABLED=0 go build -v -trimpath -ldflags "${LDFLAGS}" -o %{name}

%install
%{__install} -d %{buildroot}%{_bindir}
%{__install} -p -m 755 %{name} %{buildroot}%{_bindir}

%files
%{_bindir}/%{name}
%license LICENSE
%doc README.md CHANGELOG.md

%changelog
* Sun Jan 26 2025 Teddysun <i@teddysun.com> - 2.7.1-1
- Update version to 2.7.1

* Sun Jan 19 2025 Teddysun <i@teddysun.com> - 2.7.0-1
- Update version to 2.7.0

* Sat Oct 05 2024 Teddysun <i@teddysun.com> - 2.6.0-1
- Update version to 2.6.0

* Sun Jan 14 2024 Teddysun <i@teddysun.com> - 2.5.0-1
- Update version to 2.5.0

* Sun Dec 17 2023 Teddysun <i@teddysun.com> - 2.4.0-1
- Initial version 2.4.0
